summaryrefslogtreecommitdiffstats
path: root/system/gcdemu/gcdemu.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/gcdemu/gcdemu.SlackBuild')
-rw-r--r--system/gcdemu/gcdemu.SlackBuild26
1 files changed, 15 insertions, 11 deletions
diff --git a/system/gcdemu/gcdemu.SlackBuild b/system/gcdemu/gcdemu.SlackBuild
index bf48e827b4..1875b81b1b 100644
--- a/system/gcdemu/gcdemu.SlackBuild
+++ b/system/gcdemu/gcdemu.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for gcdemu
#
-# Copyright 2012 Niels Horn, Rio de Janeiro, RJ, Brazil
+# Copyright 2013 Niels Horn, Rio de Janeiro, RJ, Brazil
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,10 +22,10 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Revision date: 2012/09/15
+# Revision date: 2013/03/31
PRGNAM=gcdemu
-VERSION=${VERSION:-1.5.0}
+VERSION=${VERSION:-2.0.0}
ARCH=noarch
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -46,15 +46,19 @@ cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R a-s,u+rw,go+r-w .
-./configure \
- --prefix=/usr \
- --sysconfdir=/etc \
- --mandir=/usr/man \
- --docdir=/usr/doc/$PRGNAM-$VERSION \
- --build=$ARCH-slackware-linux
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_MANDIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make VERBOSE=1
+ make install DESTDIR=$PKG
+cd ..
-make
-make install-strip DESTDIR=$PKG
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp AUTHORS ChangeLog COPYING INSTALL NEWS README \